petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatProductSymbolic

Perform the symbolic portion of a matrix product, this creates a data structure for use with the numerical produce.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductSymbolic(Mat mat)

Collective on Mat

### Input Parameters

mat -the matrix to hold a product

### Output Parameters

mat -the matrix product data structure

### See Also

MatProductCreate(), MatSetType(), MatProductNumeric(), MatProductType, MatProductAlgorithm

### Level

intermediate

### Location

src/mat/interface/matproduct.c

### Examples

src/tao/pde_constrained/tutorials/parabolic.c.html

### Implementations

MatProductSymbolic_ABC_Transpose_AIJ_AIJ in src/mat/impls/aij/mpi/mpimatmatmatmult.c
MatProductSymbolic_RARt_MPIAIJ_MPIAIJ in src/mat/impls/aij/mpi/mpimatmatmatmult.c
MatProductSymbolic_AB_MPIAIJ_MPIAIJ in src/mat/impls/aij/mpi/mpimatmatmult.c
MatProductSymbolic_AtB_MPIAIJ_MPIAIJ in src/mat/impls/aij/mpi/mpimatmatmult.c
MatProductSymbolic_PtAP_MPIAIJ_MPIAIJ in src/mat/impls/aij/mpi/mpiptap.c
MatProductSymbolic_AtB_SeqAIJ_SeqAIJ in src/mat/impls/aij/seq/matmatmult.c
MatProductSymbolic_PtAP_SeqAIJ_SeqAIJ in src/mat/impls/aij/seq/matptap.c
MatProductSymbolic_RARt_SeqAIJ_SeqAIJ in src/mat/impls/aij/seq/matrart.c
MatProductSymbolic_AtB_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatProductSymbolic_AB_HYPRE in src/mat/impls/hypre/mhypre.c
MatProductSymbolic_PtAP_HYPRE in src/mat/impls/hypre/mhypre.c
MatProductSymbolic_PtAP_IS_XAIJ in src/mat/impls/is/matis.c
MatProductSymbolic_PtAP_SeqAIJ_SeqMAIJ in src/mat/impls/maij/maij.c
MatProductSymbolic_PtAP_MPIAIJ_MPIMAIJ in src/mat/impls/maij/maij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages